<!--#include file="settings.asp"-->
<!--#include file="subs/utilFunctions.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
' utilFunctions.asp : getNumber, checkHTMLString, getUSDate, getMySqlDate, checkTheImage functions
'---------------------------------------------------------------------

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call productsPermissions()
if PRODUCT_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

' global variable in this page
dim storeRS, sqlString
dim modeInput, productID, productName, productCode
dim categoryID, categoryIdOld, additionalCategories, orderInCategory
dim shortDescription, largeDescription
dim shortImageID, shortImageName, largeImageID, largeImageName
dim productVisible, weight, measure
dim shippingPrice, taxFree, featured
dim sysModified

dim index
dim listProducts, listProductsArray
	
dim isUsed, viewStock
dim quantity, minQuantityStopSale, notificationEmail
dim decrementStock
	
dim priceLineID, price, priceMatrix
dim lowLimit, highLimit
dim discount, startDateDiscount, endDateDiscount
dim imageId, imageName, description, stepSale

dim classID, className, positionInProduct
	
dim attribID, attribProductID, attribProductName, attribName, attribCode
dim isDefault, priceDifference, priceWeight
dim positionInClass, calculatePrice, typeImage
	
dim caller
	
dim useBuyFree, quantityBuy, quantityFree, textBuyFree

'----------------------------------------------------------------------------------------	
	
set storeRS = Server.CreateObject("ADODB.Recordset")
select case trim(request.form("caller"))

case "productAddEdit"
	modeInput = trim(request.form("modeInput"))
	productID = trim(request.form("productID"))
	if not testUrl(productID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if

	productName = trim(checkHTMLString(request.form("productName")))
	productCode = trim(checkHTMLString(request.form("productCode")))
	categoryID = trim(request.form("productCategory"))
	if not testUrl(categoryID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	categoryIdOld = trim(request.form("categoryIdOld"))
	if not testUrl(categoryIdOld, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	additionalCategories = trim(request.form("additionalCategories"))
	if instr(additionalCategories,"-1")>0 then
		' all categories
		additionalCategories = "-1"
	elseif instr(additionalCategories,"-2")>0 then
		' unassigned
		additionalCategories = "-2"
	end if

	priceMatrix = trim(request.form("priceMatrix"))
	if not priceMatrix then
		price = trim(request.form("productPrice"))
		if not getNumber(price, price) then
			session("errMessage") = "Please enter a numerical Price!"
			response.redirect "error.asp"
		end if
		lowLimit = 0
		highLimit = 0
		if trim(request.form("discount"))="noDiscount" then
			discount = 0
			startDateDiscount = getUSDate(now,true)
			endDateDiscount = getUSDate(now,true)
		else
			startDateDiscount = getUSDate(trim(request.form("startDateDiscount")),true)
			endDateDiscount = getUSDate(trim(request.form("endDateDiscount")),true)
		end if
		if trim(request.form("discount"))="discountValue" then
			discount = trim(request.form("discountValue"))
			if not getNumber(discount, discount) then
				session("errMessage") = "Please enter a numerical Discount!"
				response.redirect "error.asp"
			end if
		end if
		if trim(request.form("discount"))="discountPercentage" then
			discount=(-1)*cint(trim(request.form("discountPercentage")))/100
		end if
	end if

	shortDescription = trim(checkHTMLString(request.form("shortDescription")))
	largeDescription = trim(checkHTMLString(request.form("largeDescription")))
	shortImageID = trim(request.form("shortImageID"))
	if not testUrl(shortImageID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	shortImageName = trim(request.form("shortImage"))
	call checkTheImage(shortImageID,shortImageName)
	largeImageID = trim(request.form("largeImageID"))
	if not testUrl(largeImageID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	largeImageName = trim(request.form("largeImage"))
	call checkTheImage(largeImageID,largeImageName)
	productVisible = trim(request.form("productVisible"))
	if productVisible = "yes" then
		productVisible = -1
	else
		productVisible = 0
	end if
	weight = trim(request.form("weight"))
	if weight<>"" then
		if not getNumber(weight, weight) then
			session("errMessage") = "Please enter a numerical Weight!"
			response.redirect "error.asp"
		end if
	else
		weight=0
	end if
	measure = checkHTMLString(trim(request.form("measure")))
	shippingPrice = trim(request.form("shippingPrice"))
	if shippingPrice<>"" then
		if not getNumber(shippingPrice, shippingPrice) then
			session("errMessage") = "Please enter a numerical Special shipping price!"
			response.redirect "error.asp"
		end if
	else
		shippingPrice = 0
	end if
	taxFree = trim(request.form("taxFree"))
	featured = trim(request.form("featured"))

	useBuyFree = trim(request.form("useBuyFree"))
	if useBuyFree = "" then
		useBuyFree = 0
	else
		useBuyFree = -1
	end if
	quantityBuy = trim(request.form("quantityBuy"))
	if quantityBuy<>"" then
		if not getNumber(quantityBuy, quantityBuy) then
			session("errMessage") = "Please enter a numerical Quantity for buy!"
			response.redirect "error.asp"
		end if
	else
		quantityBuy=0
	end if
	quantityFree = trim(request.form("quantityFree"))
	if quantityFree<>"" then
		if not getNumber(quantityFree, quantityFree) then
			session("errMessage") = "Please enter a numerical Quantity for free!"
			response.redirect "error.asp"
		end if
	else
		quantityFree=0
	end if
	textBuyFree = trim(checkHTMLString(request.form("textBuyFree")))

	setlocale("en-us")
	if modeInput = "add" then
		sqlString = "select productID from storeProducts where storeID = "&storeID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			storeRS.close
			sqlString = "select max(productID) as maxProductID from storeProducts where storeID="&storeID
			storeRS.open sqlString,storeConn,1,1 
			productID = storeRS("maxProductID")+1
		else
			sqlString = "select productStart from storeSettings where storeID="&storeID
			storeRS.close
			storeRS.open sqlString, storeConn, 1, 1
			productID = storeRS("productStart")
		end if
		storeRS.close
		sqlString = "select orderInCategory from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			storeRS.close
			sqlString = "select max(orderInCategory) as maxOrder from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
			storeRS.open sqlString,storeConn,1,1
			orderInCategory = storeRS("maxOrder")+1
		else
			orderInCategory = 1
		end if
		storeRS.close
		sqlString = "insert into storeProducts (storeID, productID, productName, productCode, categoryID, orderInCategory, additionalCategories, shortDescription, largeDescription, shortImageID, largeImageID, isVisible, weight, measure, shippingPrice, taxFree, featured, useBuyFree, quantityBuy, quantityFree, textBuyFree) values " &_
		 			"("&storeID&", "&productID&", '"&productName&"', '"&productCode&"', "&categoryID&", "&orderInCategory&", '"&additionalCategories&"', '"&shortDescription&"', '"&largeDescription&"', "&shortImageID&", "&largeImageID&", "&productVisible&", "&weight&", '"&measure&"', "&shippingPrice&", "&taxFree&", "&featured&", "&useBuyFree&", "&quantityBuy&", "&quantityFree&", '"&textBuyFree&"')"
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
				
		' ------------------------- insert the price -----------------------------
		if dbType = "MySQL" then
			sqlString = "insert into StoreProductsPrices (storeID, productID, lowLimit, highLimit, price, startDateDiscount, endDateDiscount, discount, stepSale) values " &_
						"("&storeID&", "&productID&", "&lowLimit&", "&highLimit&", "&price&", "&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&", "&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&", "&discount&", 1)"
		else				
			sqlString = "insert into StoreProductsPrices (storeID, productID, lowLimit, highLimit, price, startDateDiscount, endDateDiscount, discount, stepSale) values " &_
						"("&storeID&", "&productID&", "&lowLimit&", "&highLimit&", "&price&", "&dateSepChar&""&startDateDiscount&""&dateSepChar&", "&dateSepChar&""&endDateDiscount&""&dateSepChar&", "&discount&", 1)"
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		' ------------------------------------------------------------------------
				
		setlocale(storeLocaleID)
		sqlString = "insert into storeProductsStocks (storeID,productID) values ("&storeID&","&productID&")"
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
				
		set storeRS = nothing
		set storeConn = nothing
		if MASTER_VERSION and PRODUCT_MODULE = MODULE_WRITING then
			response.redirect "productAddEdit.asp?productID="&productID&"&done=yes"
		else
			response.redirect "productList.asp?viewProducts=No"
		end if
	else
		sysModified = getUSDate(now,false)
		if cint(categoryID)<>cint(categoryIdOld) then
			' the category was modified for product
			sqlString = "select orderInCategory from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
			storeRS.open sqlString, storeConn, 1, 1
			if not storeRS.eof then
				storeRS.close
				sqlString = "select max(orderInCategory) as maxOrder from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
				storeRS.open sqlString, storeConn, 1, 1
				orderInCategory=storeRS("maxOrder")+1
			else
				orderInCategory = 1
			end if
			storeRS.close
			sqlString = "update storeProducts set sysModified = '"&sysModified&"',productName = '"&productName&"', productCode = '"&productCode&"', categoryID = "&categoryID&", orderInCategory = "&orderInCategory&", additionalCategories = '"&additionalCategories&"', shortDescription = '"&shortDescription&"', largeDescription = '"&largeDescription&"', shortImageID = "&shortImageID&", largeImageID = "&largeImageID&", isVisible = "&productVisible&", weight = "&weight&", measure = '"&measure&"', shippingPrice="&shippingPrice&", taxFree="&taxFree&", featured="&featured&", useBuyFree = "&useBuyFree&", quantityBuy = "&quantityBuy&", quantityFree = "&quantityFree&", textBuyFree = '"&textBuyFree&"' where storeID = "&storeID&" and productID = "&productID
		else
			sqlString = "update storeProducts set sysModified = '"&sysModified&"',productName = '"&productName&"', productCode = '"&productCode&"', categoryID = "&categoryID&", additionalCategories = '"&additionalCategories&"', shortDescription = '"&shortDescription&"', largeDescription = '"&largeDescription&"', shortImageID = "&shortImageID&", largeImageID = "&largeImageID&", isVisible = "&productVisible&", weight = "&weight&", measure = '"&measure&"', shippingPrice = "&shippingPrice&", taxFree = "&taxFree&", featured = "&featured&", useBuyFree = "&useBuyFree&", quantityBuy = "&quantityBuy&", quantityFree = "&quantityFree&", textBuyFree = '"&textBuyFree&"' where storeID = "&storeID&" and productID = "&productID
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if

		' ------------------------- update the price -----------------------------
		if not priceMatrix then
			if dbType = "MySQL" then
				sqlString = "update storeProductsPrices set price = "&price&", startDateDiscount = "&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&", discount = "&discount&" where storeID = "&storeID&" and productID = "&productID
			else
				sqlString = "update storeProductsPrices set price = "&price&", startDateDiscount = "&dateSepChar&""&startDateDiscount&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&endDateDiscount&""&dateSepChar&", discount = "&discount&" where storeID = "&storeID&" and productID = "&productID
			end if
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		' ------------------------- update best seller list ----------------------
		sqlString = "select categoryID from storeProductsSold where storeID = "&storeID&" and productID = "&productID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			sqlString = "update storeProductsSold set categoryID = "&categoryID&" where storeID = "&storeID&" and productID = "&productID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		' ------------------------- update product special list ------------------
		sqlString = "select categoryID from storeProductsSpecial where storeID = "&storeID&" and productID = "&productID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			sqlString = "update storeProductsSpecial set categoryID = "&categoryID&" where storeID = "&storeID&" and productID = "&productID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		' ------------------------------------------------------------------------
		setlocale(storeLocaleID)
		set storeRS = nothing
		set storeConn = nothing
		if MASTER_VERSION then
			response.redirect "productAddEdit.asp?productID="&productID&"&done=yes"
		else
			response.redirect "productList.asp?viewProducts=No"
		end if
	end if

'----------------------------------------------------------------------------------------				
case "productMassEdit"

	listProducts = trim(request.form("listProducts"))
	listProductsArray = split(listProducts,",")
	for index = 0 to ubound(listProductsArray)
		productID = listProductsArray(index)
		if not testUrl(productID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
				
		productName = trim(checkHTMLString(request.form("productName"&productID)))
		productCode = trim(checkHTMLString(request.form("productCode"&productID)))
		categoryID = trim(request.form("productCategory"&productID))
		if not testUrl(categoryID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		categoryIdOld = trim(request.form("categoryIdOld"&productID))
		if not testUrl(categoryIdOld, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		additionalCategories = trim(request.form("additionalCategories"&productID))
		if instr(additionalCategories,"-1")>0 then
			' all categories
			additionalCategories = "-1"
		elseif instr(additionalCategories,"-2")>0 then
			' unassigned
			additionalCategories = "-2"
		end if
				
		' --------------------- test if product has multiple prices ----------------------
		sqlString = "select count(priceLineID) as numberPrices from storeProductsPrices where storeID = "&storeID&" and productID = "&productID
		storeRS.open sqlString, storeConn, 1, 1
		if cint(storeRS("numberPrices")) = 1 then
			priceMatrix = false
		else
			priceMatrix = true
		end if
		storeRS.close
		if not priceMatrix then
			price = trim(request.form("productPrice"&productID))
			if not getNumber(price, price) then
				session("errMessage") = "Please enter a numerical Price!"
				response.redirect "error.asp"
			end if
			if trim(request.form("discount"&productID))="noDiscount" then
				discount = 0
				startDateDiscount = getUSDate(now,true)
				endDateDiscount = getUSDate(now,true)
			else
				startDateDiscount = getUSDate(trim(request.form("startDateDiscount"&productID)),true)
				endDateDiscount = getUSDate(trim(request.form("endDateDiscount"&productID)),true)
			end if
			if trim(request.form("discount"&productID))="discountValue" then
				discount = trim(request.form("discountValue"&productID))
				if not getNumber(discount, discount) then
					session("errMessage") = "Please enter a numerical Discount!"
					response.redirect "error.asp"
				end if
			end if
			if trim(request.form("discount"&productID))="discountPercentage" then
				discount=(-1)*cint(trim(request.form("discountPercentage"&productID)))/100
			end if
		end if
		' ------------------------------------------------------------------------
				
		shortDescription = trim(checkHTMLString(request.form("shortDescription"&productID)))
		largeDescription = trim(checkHTMLString(request.form("largeDescription"&productID)))
		shortImageID = trim(request.form("shortImageID"&productID))
		if not testUrl(shortImageID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		shortImageName = trim(request.form("shortImage"&productID))
		call checkTheImage(shortImageID,shortImageName)
		largeImageID = trim(request.form("largeImageID"&productID))
		if not testUrl(largeImageID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		largeImageName = trim(request.form("largeImage"&productID))
		call checkTheImage(largeImageID,largeImageName)
		productVisible = trim(request.form("productVisible"&productID))
		if productVisible = "yes" then
			productVisible = -1
		else
			productVisible = 0
		end if
		weight = trim(request.form("weight"&productID))
		if weight<>"" then
			if not getNumber(weight, weight) then
				session("errMessage") = "Please enter a numerical Weight!"
				response.redirect "error.asp"
			end if
		else
			weight=0
		end if
		shippingPrice = trim(request.form("shippingPrice"&productID))
		if shippingPrice<>"" then
			if not getNumber(shippingPrice, shippingPrice) then
				session("errMessage") = "Please enter a numerical Special shipping price!"
				response.redirect "error.asp"
			end if
		else
			shippingPrice=0
		end if
		taxFree = trim(request.form("taxFree"&productID))
		featured = trim(request.form("featured"&productID))
				
		useBuyFree = trim(request.form("useBuyFree"&productID))
		if useBuyFree = "" then
			useBuyFree = 0
		else
			useBuyFree = -1
		end if
		quantityBuy = trim(request.form("quantityBuy"&productID))
		if quantityBuy<>"" then
			if not getNumber(quantityBuy, quantityBuy) then
				session("errMessage") = "Please enter a numerical Quantity for buy!"
				response.redirect "error.asp"
			end if
		else
			quantityBuy=0
		end if
		quantityFree = trim(request.form("quantityFree"&productID))
		if quantityFree<>"" then
			if not getNumber(quantityFree, quantityFree) then
				session("errMessage") = "Please enter a numerical Quantity for free!"
				response.redirect "error.asp"
			end if
		else
			quantityFree=0
		end if
		textBuyFree = trim(checkHTMLString(request.form("textBuyFree"&productID)))
			
		setlocale("en-us")
		sysModified = getUSDate(now, false)
		if cint(categoryID)<>cint(categoryIdOld) then
			' the category was modified for product
			sqlString = "select orderInCategory from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
			storeRS.open sqlString, storeConn, 1, 1
			if not storeRS.eof then
				storeRS.close
				sqlString = "select max(orderInCategory) as maxOrder from storeProducts where storeID="&storeID&" and categoryID = "&categoryID
				storeRS.open sqlString, storeConn, 1, 1
				orderInCategory = storeRS("maxOrder")+1
			else
				orderInCategory = 1
			end if
			storeRS.close
			sqlString = "update storeProducts set sysModified = '"&sysModified&"',productName = '"&productName&"', productCode = '"&productCode&"', categoryID = "&categoryID&",orderInCategory="&orderInCategory&", additionalCategories = '"&additionalCategories&"', shortDescription = '"&shortDescription&"', largeDescription = '"&largeDescription&"', shortImageID = "&shortImageID&", largeImageID = "&largeImageID&", isVisible = "&productVisible&", weight = "&weight&", shippingPrice="&shippingPrice&", taxFree="&taxFree&", featured="&featured&", useBuyFree = "&useBuyFree&", quantityBuy = "&quantityBuy&", quantityFree = "&quantityFree&", textBuyFree = '"&textBuyFree&"' where storeID = "&storeID&" and productID = "&productID
		else
			sqlString = "update storeProducts set sysModified = '"&sysModified&"',productName = '"&productName&"', productCode = '"&productCode&"', categoryID = "&categoryID&", additionalCategories = '"&additionalCategories&"', shortDescription = '"&shortDescription&"', largeDescription = '"&largeDescription&"', shortImageID = "&shortImageID&", largeImageID = "&largeImageID&", isVisible = "&productVisible&",weight = "&weight&",shippingPrice="&shippingPrice&",taxFree="&taxFree&", featured="&featured&", useBuyFree = "&useBuyFree&", quantityBuy = "&quantityBuy&", quantityFree = "&quantityFree&", textBuyFree = '"&textBuyFree&"' where storeID = "&storeID&" and productID = "&productID
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		' ------------------------- update the price -----------------------------
		if not priceMatrix then
			if dbType = "MySQL" then
				sqlString = "update storeProductsPrices set price = "&price&", startDateDiscount = "&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&", discount = "&discount&" where storeID = "&storeID&" and productID = "&productID
			else
				sqlString = "update storeProductsPrices set price = "&price&", startDateDiscount = "&dateSepChar&""&startDateDiscount&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&endDateDiscount&""&dateSepChar&", discount = "&discount&" where storeID = "&storeID&" and productID = "&productID
			end if
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		' ------------------------- update best seller list ----------------------
		sqlString = "select categoryID from storeProductsSold where storeID = "&storeID&" and productID = "&productID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			sqlString = "update storeProductsSold set categoryID = "&categoryID&" where storeID = "&storeID&" and productID = "&productID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		' ------------------------- update product special list ------------------
		sqlString = "select categoryID from storeProductsSpecial where storeID = "&storeID&" and productID = "&productID
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			sqlString = "update storeProductsSpecial set categoryID = "&categoryID&" where storeID = "&storeID&" and productID = "&productID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		setlocale(storeLocaleID)
	next
	set storeRS = nothing
	set storeConn = nothing
	response.redirect "productList.asp?done=yes"
'----------------------------------------------------------------------------------------				
		
case "productStocks"
	modeInput = trim(request.form("modeInput"))
	productID = trim(request.form("productID"))
	if not testUrl(productID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	isUsed = trim(request.form("isUSed"))
	if isUsed = "yes" then
		isUsed = -1
	else
		isUsed = 0
	end if
	viewStock = trim(request.form("viewStock"))
	if viewStock = "yes" then
		viewStock = -1
	else
		viewStock = 0
	end if
	decrementStock = trim(request.form("decrementStock"))
	if decrementStock = "yes" then
		decrementStock = -1
	else
		decrementStock = 0
	end if
	quantity = trim(request.form("quantity"))
	if quantity <> "" then
		if not getNumber(quantity, quantity) then
			session("errMessage") = "Please enter a numerical Quantity !"
			response.redirect "error.asp"
		end if
	else
		quantity = 0
	end if
	minQuantityStopSale = trim(request.form("minQuantityStopSale"))
	if minQuantityStopSale <> "" then
		if not getNumber(minQuantityStopSale, minQuantityStopSale) then
			session("errMessage") = "Please enter a numerical Quantity !"
			response.redirect "error.asp"
		end if
	else
		minQuantityStopSale = 0
	end if
	notificationEmail = trim(checkHTMLString(request.form("notificationEmail")))
	sqlString = "update storeProductsStocks set isUsed = "&isUsed&", viewStock = "&viewStock&", decrementStock = "&decrementStock&", quantity = "&quantity&", minQuantityStopSale = "&minQuantityStopSale&", notificationEmail = '"&notificationEmail&"' where storeID = "&storeID&" and productID = "&productID
	if PRODUCT_MODULE = MODULE_WRITING then
		runSQL(sqlString)
	end if
	set storeRS = nothing
	set storeConn = nothing
	response.redirect "productAddEdit.asp?productID="&productID&"&done=yes"
			
'----------------------------------------------------------------------------------------				
case "productPrices"
	modeInput = trim(request.form("modeInput"))
	productID = trim(request.form("productID"))
	if not testUrl(productID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	priceLineID = trim(request.form("priceLineID"))
	if not testUrl(priceLineID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	price = trim(request.form("price"))
	if not getNumber(price, price) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = "Please enter a numerical Price!"
		response.redirect "error.asp"
	end if
	lowLimit = trim(request.form("lowLimitHidden"))
	if not testUrl(lowLimit, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	highLimit = trim(request.form("highLimit"))
	if not testUrl(highLimit, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	if highLimit = "" then
		highLimit = 0
	end if
	if trim(request.form("discount"))="noDiscount" then
		discount = 0
		startDateDiscount = getUSDate(now,true)
		endDateDiscount = getUSDate(now,true)
	else
		startDateDiscount = getUSDate(trim(request.form("startDateDiscount")),true)
		endDateDiscount = getUSDate(trim(request.form("endDateDiscount")),true)
	end if
	if trim(request.form("discount"))="discountValue" then
		discount = trim(request.form("discountValue"))
		if not getNumber(discount, discount) then
			session("errMessage") = "Please enter a numerical Discount!"
			response.redirect "error.asp"
		end if
	end if
	if trim(request.form("discount"))="discountPercentage" then
		discount=(-1)*cint(trim(request.form("discountPercentage")))/100
	end if
	imageId = trim(request.form("imageId"))
	if not testUrl(imageId, errMessage) then
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	imageName = trim(request.form("image"))
	call checkTheImage(imageID,imageName)
	description = trim(checkHTMLString(request.form("description")))
	stepSale = trim(request.form("stepSale"))
	if not getNumber(stepSale, stepSale) then
		session("errMessage") = "Please enter a numerical Step Sale!"
		response.redirect "error.asp"
	end if
	measure = checkHTMLString(trim(request.form("measure")))
	setlocale("en-us")
	if modeInput = "add" then
		if dbType = "MySQL" then
			sqlString = "insert into StoreProductsPrices (storeID, productID, lowLimit, highLimit, price, startDateDiscount, endDateDiscount, discount, imageID, description, stepSale, measure) values " &_
						"("&storeID&", "&productID&", "&lowLimit&", "&highLimit&", "&price&", "&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&", "&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&", "&discount&", "&imageID&", '"&description&"', "&stepSale&", '"&measure&"')"
		else				
			sqlString = "insert into StoreProductsPrices (storeID, productID, lowLimit, highLimit, price, startDateDiscount, endDateDiscount, discount, imageID, description, stepSale, measure) values " &_
						"("&storeID&", "&productID&", "&lowLimit&", "&highLimit&", "&price&", "&dateSepChar&""&startDateDiscount&""&dateSepChar&", "&dateSepChar&""&endDateDiscount&""&dateSepChar&", "&discount&", "&imageID&", '"&description&"', "&stepSale&", '"&measure&"')"
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		setlocale(storeLocaleID)
		set storeRS = nothing
		set storeConn = nothing
		response.redirect "productPriceList.asp?productID="&productID&"&done=yes"
	else
		if dbType = "MySQL" then
			sqlString = "update storeProductsPrices set lowLimit = "&lowLimit&", highLimit = "&highLimit&", price = "&price&", startDateDiscount = "&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&", discount = "&discount&", imageID = "&imageID&", description = '"&description&"', stepSale = "&stepSale&", measure = '"&measure&"' where storeID = "&storeID&" and priceLineID= "&priceLineID
		else
			sqlString = "update storeProductsPrices set lowLimit = "&lowLimit&", highLimit = "&highLimit&", price = "&price&", startDateDiscount = "&dateSepChar&""&startDateDiscount&""&dateSepChar&", endDateDiscount = "&dateSepChar&""&endDateDiscount&""&dateSepChar&", discount = "&discount&", imageID = "&imageID&", description = '"&description&"', stepSale = "&stepSale&", measure = '"&measure&"' where storeID = "&storeID&" and priceLineID= "&priceLineID
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		if highLimit = 0 then
			sqlString = "delete from storeProductsPrices where storeID = "&storeID&" and productID = "&productID&" and priceLineID > "&priceLineID
		else
			sqlString = "delete from storeProductsPrices where storeID = "&storeID&" and productID = "&productID&" and priceLineID > "&priceLineID&" and highLimit <= "&highLimit&" and highLimit <>0 "
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		sqlString = "select priceLineID,lowLimit from storeProductsPrices where storeID = "&storeID&" and priceLineID > "&priceLineID&" order by priceLineID "
		storeRS.open sqlString, storeConn, 1, 1
		if not storeRS.eof then
			sqlString = "update storeProductsPrices set lowLimit = "&(highLimit+1)&" where storeID = "&storeID&" and priceLineID = "&storeRS("priceLineID")
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		setlocale(storeLocaleID)
		set storeRS = nothing
		set storeConn = nothing
		response.redirect "productPriceList.asp?productID="&productID&"&done=yes"
	end if
			
'----------------------------------------------------------------------------------------	
case "attribClassAddEdit"
	productID = trim(request.form("productID"))
	if not testUrl(productID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	classID = trim(request.form("classID"))
	if not testUrl(classID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	className = checkHTMLString(trim(request.form("className")))
	if classID = "" then
		' ----------------- test position in product -------------------------
		sqlString = "select positionInProduct from storeProductsAtribClass where storeID="&storeID&" and productID="&productID
		storeRS.open sqlString, storeConn, 1, 1
		if storeRS.eof then
			positionInProduct = 1
		else
			storeRS.close
			sqlString = "select max(positionInProduct) as maxPositionInProduct from storeProductsAtribClass where storeID="&storeID&" and productID="&productID
			storeRS.open sqlString, storeConn, 1, 1
			positionInProduct = cint(storeRS("maxPositionInProduct")) + 1
		end if
		storeRS.close
		' ----------------- test class ID -------------------------------------
		sqlString = "select classID from storeProductsAtribClass where storeID="&storeID
		storeRS.open sqlString, storeConn, 1, 1 
		if storeRS.eof then
			classID = 1
		else
			storeRS.close
			sqlString = "select max(classID) as maxClassID from storeProductsAtribClass where storeID="&storeID
			storeRS.open sqlString, storeConn, 1, 1
			classID = cint(storeRS("maxClassID")) + 1
		end if
		storeRS.close
		'------------------- add new class -------------------------------------
		sqlString = "insert into storeProductsAtribClass (classID, storeID, productID, className, positionInProduct) values ("&classID&", "&storeID&", "&productID&", '"&className&"', "&positionInProduct&")"
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		set storeRS = nothing
		set storeConn = nothing
		response.redirect "attribClassList.asp?productID="&productID&"&done=yes"
	else 'edit a class
		sqlString = "update storeProductsAtribClass set className='"&className&"' where classID="&classID&" and storeID = "&storeID
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		set storeRS = nothing
		set storeConn = nothing
		response.redirect "attribClassList.asp?productID="&productID&"&done=yes"
	end if
'----------------------------------------------------------------------------------------
case "attribAddEdit"
	productID = trim(request.form("productID"))
	if not testUrl(productID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	classID = trim(request.form("classID"))
	if not testUrl(classID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if

	'test if the attribute is similar (simple or product) with all atributes from the given class
	sqlString = "select productID from storeProductsAtribValues where classID = "&classID&" and storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if not storeRS.eof then
		if cint(trim(request.form("typeOfAttribute"))) = 0 then
			if cint(storeRS("productID")) <> 0 then
				storeRS.close
				set storeRS = nothing
				set storeConn = nothing
				session("errMessage") = "The attribute must be a product!"
				response.redirect "error.asp"
			end if
		else
			if cint(storeRS("productID"))=0 then
				storeRS.close
				set storeRS = nothing
				set storeConn = nothing
				session("errMessage") = "The attribute cannot be a product!"
				response.redirect "error.asp"
			end if
		end if
	end if
	storeRS.close
	if cint(trim(request.form("typeOfAttribute"))) = 0 then
		'the attribute is simple
		attribProductID = 0
	else
		attribProductID = trim(request.form("attribProductID"))
		if attribProductID = "" then
			attribProductName = trim(request.form("attribProductName"))
			sqlString = "select productID from storeProducts where storeID="&storeID&" and productName='"&attribProductName&"'"
			storeRS.open sqlString, storeConn, 1, 1
			if storeRS.eof then
				storeRS.close
				set storeRS = nothing
				set storeConn = nothing
				session("errMessage") = "The product doesn't exist in the database !"
				response.redirect "error.asp"
			else
				attribProductID = storeRS("productID")
			end if
			storeRS.close
		end if
	end if
	sqlString = "select atribID from storeProductsAtribValues where classID = "&classID&" and storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then 'first attribute of the class
		isDefault = -1
	else
		isDefault = trim(request.form("isDefault"))
		if isDefault<>"" then
			isDefault = -1
		else
			isDefault = 0
		end if
	end if
	storeRS.close
	imageID = trim(request.form("imageID"))
	if not testUrl(imageID, errMessage) then
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = errMessage
		response.redirect "error.asp"
	end if
	imageName = trim(request.form("imageName"))
	call checkTheImage(imageID,imageName)
	typeImage = trim(request.form("typeImage"))
					
	'insert or update the attribute
	if attribProductID = 0 then '----------- attribute is simple ------------------
		attribName = checkHTMLString(trim(request.form("attribName")))
		priceDifference = trim(request.form("priceDifference"))
		if priceDifference<>"" then
			if not getNumber(priceDifference,priceDifference) then
				session("errMessage") = "Please enter a numerical Main Price Difference!"
				response.redirect "error.asp"
			end if
		else
			priceDifference = 0
		end if
		priceWeight = trim(request.form("priceWeight"))
		if priceWeight<>"" then
			if not getNumber(priceWeight,priceWeight) then
				session("errMessage") = "Please enter a numerical Weight Difference!"
				response.redirect "error.asp"
			end if
		else
			priceWeight = 0
		end if
		attribCode = checkHTMLString(trim(request.form("valueCode")))
		if trim(request.form("operationType")) = "add" then
			sqlString = "select atribID from storeProductsAtribValues where classID = "&classID&" and storeID = "&storeID
			storeRS.open sqlString, storeConn, 1, 1
			if storeRS.eof then
				positionInClass = 1
			else
				storeRS.close
				sqlString = "select max(positionInClass) as maxPositionInClass from storeProductsAtribValues where classID="&classID&" and storeID = "&storeID
				storeRS.open sqlString, storeConn, 1, 1
				positionInClass = storeRS("maxPositionInClass") + 1
			end if
			storeRS.close
			setlocale("en-us")
			sqlString = "insert into storeProductsAtribValues (storeID, classID, atribName, isDefault, imageID, typeImage, priceDifference, priceWeight, positionInClass, code) values " &_
					    "("&storeID&", "&classID&", '"&attribName&"', "&isDefault&", "&imageID&", "&typeImage&", "&priceDifference&", "&priceWeight&", "&positionInClass&", '"&attribCode&"')"
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
			if isDefault = -1 then
				sqlString = "select max(atribID) as maxAtrib from storeProductsAtribValues where storeID = "&storeID&" and classID = "&classID
				storeRS.open sqlString, storeConn, 1, 1
				attribID = storeRS("maxAtrib")
				storeRS.close
				sqlString = "update storeProductsAtribValues set isDefault = 0 where storeID = "&storeID&" and atribID <> "&attribID&" and classID = "&classID
				if PRODUCT_MODULE = MODULE_WRITING then
					runSQL(sqlString)
				end if
			end if
			setlocale(storeLocaleID)
			set storeRS = nothing
			set storeConn = nothing
			response.redirect "attribClassAddEdit.asp?productID="&productID&"&classID="&classID&"&done=yes"
		else
			attribID = trim(request.form("attribID"))
			if not testUrl(attribID, errMessage) then
				set storeRS = nothing
				set storeConn = nothing
				session("errMessage") = errMessage
				response.redirect "error.asp"
			end if
					
			setlocale("en-us")
			sqlString = "update storeProductsAtribValues set atribName = '"&attribName&"', isDefault = "&isDefault&", imageID = "&imageID&", typeImage = "&typeImage&", priceDifference="&priceDifference&", priceWeight = "&priceWeight&", code = '"&attribCode&"' where atribID="&attribID&" and classID = "&classID&" and storeID = "&storeID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
			if isDefault = -1 then
				sqlString = "update storeProductsAtribValues set isDefault = 0 where storeID = "&storeID&" and classID = "&classID&" and atribID <>"&attribID
				if PRODUCT_MODULE = MODULE_WRITING then
					runSQL(sqlString)
				end if
			end if
			setlocale(storeLocaleID)
			set storeRS = nothing
			set storeConn = nothing
			response.redirect "attribClassAddEdit.asp?productID="&productID&"&classID="&classID&"&done=yes"
		end if
	else '----------- attribute is product ------------------
		'--------------------------------------------------------------------------------------------------			
		'update in the storeProducts the following fields:calculatePrice, discount, startDateDiscount, endDateDiscount
		calculatePrice = trim(request.form("calculatePrice"))
		if calculatePrice<>"" then
			calculatePrice = -1
		else
			calculatePrice = 0
		end if
		if trim(request.form("discount")) = "noDiscount" then
			discount = 0
			startDateDiscount = getUSDate(now,true)
			endDateDiscount = getUSDate(now,true)
		else
			startDateDiscount = getUSDate(trim(request.form("startDateDiscount")),true)
			endDateDiscount = getUSDate(trim(request.form("endDateDiscount")),true)
		end if
		if trim(request.form("discount")) = "discountValue" then
			discount = trim(request.form("discountValue"))
			if not getNumber(discount, discount) then
				session("errMessage") = "Please enter a numerical Discount!"
				response.redirect "error.asp"
			end if
		end if
		if trim(request.form("discount")) = "discountPercentage" then
			discount = (-1)*cint(trim(request.form("discountPercentage")))/100
		end if
		setlocale("en-us")
		if dbType = "MySQL" then
			sqlString = "update storeProducts set calculatePrice="&calculatePrice&",discount="&discount&",startDateDiscount="&dateSepChar&""&getMySqlDate(startDateDiscount)&""&dateSepChar&",endDateDiscount="&dateSepChar&""&getMySqlDate(endDateDiscount)&""&dateSepChar&" where storeID="&storeID&" and productID="&productID
		else
			sqlString = "update storeProducts set calculatePrice="&calculatePrice&",discount="&discount&",startDateDiscount="&dateSepChar&""&startDateDiscount&""&dateSepChar&",endDateDiscount="&dateSepChar&""&endDateDiscount&""&dateSepChar&" where storeID="&storeID&" and productID="&productID
		end if
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		setlocale(storeLocaleID)
		'-------------------------------------------------------------------------------------------
			
		quantity = trim(request.form("quantity"))
		if quantity<>"" then
			if not getNumber(quantity,quantity) then
				session("errMessage") = "Please enter a numerical Quantity!"
				response.redirect "error.asp"
			end if
		else
			quantity = 1
		end if
		if trim(request.form("operationType")) = "add" then
			sqlString = "select atribID from storeProductsAtribValues where classID="&classID&" and storeID = "&storeID
			storeRS.open sqlString, storeConn, 1, 1
			if storeRS.eof then
				positionInClass = 1
			else
				storeRS.close
				sqlString = "select max(positionInClass) as maxPositionInClass from storeProductsAtribValues where classID="&classID&" and storeID = "&storeID
				storeRS.open sqlString, storeConn, 1, 1
				positionInClass = storeRS("maxPositionInClass") + 1
			end if
			storeRS.close
			setlocale("en-us")
			sqlString = "insert into storeProductsAtribValues (storeID, classID, productID, isDefault, imageID, typeImage, quantity, positionInClass) values " &_
	    			    "("&storeID&", "&classID&", "&attribProductID&", "&isDefault&", "&imageID&", "&typeImage&", "&quantity&", "&positionInClass&")"
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
			if isDefault = -1 then
				sqlString = "select max(atribID) as maxAtrib from storeProductsAtribValues where storeID = "&storeID&" and classID = "&classID
				storeRS.open sqlString, storeConn, 1, 1
				attribID = storeRS("maxAtrib")
				storeRS.close
				sqlString = "update storeProductsAtribValues set isDefault = 0 where storeID = "&storeID&" and classID = "&classID&" and atribID <> "&attribID
				if PRODUCT_MODULE = MODULE_WRITING then
					runSQL(sqlString)
				end if
			end if
			setlocale(storeLocaleID)
			set storeRS = nothing
			set storeConn = nothing
			response.redirect "attribClassAddEdit.asp?productID="&productID&"&classID="&classID&"&done=yes"
		else
			attribID = trim(request.form("attribID"))
			if not testUrl(attribID, errMessage) then
				set storeRS = nothing
				set storeConn = nothing
				session("errMessage") = errMessage
				response.redirect "error.asp"
			end if
					
			setlocale("en-us")
			sqlString = "update storeProductsAtribValues set productID="&attribProductID&", isDefault = "&isDefault&", imageID = "&imageID&", typeImage = "&typeImage&", quantity = "&quantity&" where atribID="&attribID&" and classID = "&classID&" and storeID = "&storeID
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
			if isDefault = -1 then
				sqlString = "update storeProductsAtribValues set isDefault = 0 where storeID = "&storeID&" and classID = "&classID&" and atribID <>"&attribID
				if PRODUCT_MODULE = MODULE_WRITING then
					runSQL(sqlString)
				end if
			end if
			setlocale(storeLocaleID)
			set storeRS = nothing
			set storeConn = nothing
			response.redirect "attribClassAddEdit.asp?productID="&productID&"&classID="&classID&"&done=yes"
		end if							  
	end if	
			
'----------------------------------------------------------------------------------------				
case ""
	caller = request.querystring("caller")
	select case caller
	'----------------------------------------------------------------------------------------
	case "deletePrice"
		productID = request.querystring("productID")
		if not testUrl(productID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		priceLineID = request.querystring("priceLineID")
		if not testUrl(priceLineID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		sqlString = "select priceLineID, lowLimit from storeProductsPrices where storeID = "&storeID&" and productID = "&productID&" and priceLineID >= "&priceLineID
		storeRS.open sqlString, storeConn, 1, 1
		lowLimit = storeRS("lowLimit")
		storeRS.movenext
		sqlString = "delete from storeProductsPrices where storeID = "&storeID&" and priceLineID = "&priceLineID
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		if not storeRS.eof then
			sqlString = "update storeProductsPrices set lowLimit = "&lowLimit&" where storeID="&storeID&" and priceLineID = "&storeRS("priceLineID")
			if PRODUCT_MODULE = MODULE_WRITING then
				runSQL(sqlString)
			end if
		end if
		storeRS.close
		set storeRS = nothing
		set storeConn = nothing
		response.redirect "productPriceList.asp?productID="&productID
		'----------------------------------------------------------------------------------------	
	case "deleteValue"
		attribID = request.queryString("attribID")
		if not testUrl(attribID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		classID = request.queryString("classID")
		if not testUrl(classID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		productID = request.queryString("productID")
		if not testUrl(productID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		sqlString = "select isDefault from storeProductsAtribValues where atribID = "&attribID&" and classID = "&classID&" and storeID = "&storeID
		storeRS.open sqlString, storeConn, 1, 1
		if storeRS("isDefault") then
			storeRS.close
			sqlString = "select atribID from storeProductsAtribValues where classID ="&classID&" and atribID <>"&attribID&" and storeID = "&storeID
			storeRS.open sqlString, storeConn, 1, 1
			if not storeRS.eof then
				storeRS.close
				sqlString = "select min(atribID) as minAtribID from storeProductsAtribValues where classID = "&classID&" and atribID <>"&attribID&" and storeID = "&storeID
				storeRS.open sqlString, storeConn, 1, 1
				sqlString = "update storeProductsAtribValues set isDefault = -1 where classID = "&classID&" and atribID = "&storeRS("minAtribID")&" and storeID = "&storeID
				if PRODUCT_MODULE = MODULE_WRITING then
					runSQL(sqlString)
				end if
			end if
		end if
		storeRS.close

		sqlString = "delete from storeProductsAtribValues where atribID="&attribID&" and classID = "&classID&" and storeID = "&storeID
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
			
		set storeRS = nothing
		set storeConn = nothing
			
		response.redirect "attribClassAddEdit.asp?productID="&productID&"&classID="&classID
	'----------------------------------------------------------------------------------------	
	case "deleteAttribute"
		classID = request.queryString("classID")
		if not testUrl(classID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
		productID = request.queryString("productID")
		if not testUrl(productID, errMessage) then
			set storeRS = nothing
			set storeConn = nothing
			session("errMessage") = errMessage
			response.redirect "error.asp"
		end if
			
		sqlString = "delete from storeProductsAtribValues where classID = "&classID&" and storeID = "&storeID
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
		sqlString = "delete from storeProductsAtribClass where classID="&classID&" and storeID = "&storeID
		if PRODUCT_MODULE = MODULE_WRITING then
			runSQL(sqlString)
		end if
			
		set storeConn = nothing
		response.redirect "attribClassList.asp?productID="&productID&"&classID="&classID
		
	end select
end select
%>