<%

'----------------------------------------------------------------------------
function checkIfNumber(theNumber)
	dim theValue
	
	on error resume next
	theValue = cdbl(theNumber)
	if err <> 0 then
		checkIfNumber = false
	else
		checkIfNumber = true
	end if
end function

function getNumber(theNumber, theResult)

	if checkIfNumber(theNumber) then
		theResult = cdbl(theNumber)
		getNumber = true
		exit function
	end if
	getNumber = false
end function

'----------------------------------------------------------------------------
function checkHTMLString(theHTML)
	dim theResult

	theResult = theHTML
	if isNull(theResult) then
		theResult = ""
	else
		theResult = replace(theResult,"'","''")
	end if
	checkHTMLString = theResult
	
end function

'----------------------------------------------------------------------------

' FORMAT A DATE TO US FORMAT
function getUSDate(theDate,shortDate)

	dim  sTime
	
	sTime = ""
	If (Month(theDate) < 10) Then
		sTime = sTime & 0 & Month(theDate)
	Else
		sTime = sTime & Month(theDate)
	End If
	sTime = sTime & "/"
	If (Day(theDate) < 10) Then
		sTime = sTime & 0 & Day(theDate)
	Else
		sTime = sTime & Day(theDate)
	End If
	if shortDate=true then
		sTime = sTime & "/" & Year(theDate)
	else
		sTime = sTime & "/" & Year(theDate) & " "
	end if
	if shortDate=true then
		getUSDate = sTime
		exit function
	end if		

	If (Hour(theDate) < 10) Then
		sTime = sTime & 0 & Hour(theDate)
	Else
		sTime = sTime & Hour(theDate)
	End If
	sTime = sTime & ":"

	If (Minute(theDate) < 10) Then
		sTime = sTime & 0 & Minute(theDate)
	Else
		sTime = sTime & Minute(theDate)
	End If
	sTime = sTime & ":"

	If (Second(theDate) < 10) Then
		sTime = sTime & 0 & Second(theDate)
	Else
		sTime = sTime & Second(theDate)
	End If

	getUSDate = sTime
	
End Function

'----------------------------------------------------------------------------
' FORMAT A DATE TO MySql format : YYYY-MM-DD
function getMySqlDate(theDate)
	'getMySqlDate = year(theDate)&"-"&month(theDate)&"-"&day(theDate)&" "&hour(now)&":"&minute(now)&":"&second(now)
	getMySqlDate = year(theDate)&"-"&month(theDate)&"-"&day(theDate)&" "&hour(theDate)&":"&minute(theDate)&":"&second(theDate)
end function

'----------------------------------------------------------------------------
'This function will transform a number in a string like : $ number
function currencyFormat(theNumber)

	if IsNull(theNumber) then
		theNumber = 0
	end if
	if storeCurrencySimbol = "" then
		currencyFormat = theNumber
	else 
		currencyFormat = storeCurrencySimbol&" "&theNumber
	end if
end function
'---------------------------------------------------------------------------

Sub sendMail(sendFrom, sendTo, subject, body)
	dim storeLocal, sqlString
	dim emailObject
	dim typeEmail, smtpAdress, port
	
	Set storeLocal = Server.CreateObject("ADODB.Recordset")	
	sqlString = "select typeEmail, smtpAdress, port from storeEmails where storeID = "&storeID
	storeLocal.open sqlString, storeConn, 1, 1
	typeEmail = storeLocal("typeEmail")
	if typeEmail = 1 then
		smtpAdress = storeLocal("smtpAdress")
		port = storeLocal("port")
	end if
	storeLocal.close
	set storeLocal = nothing
	
	' ------------------------- Use CDONTS -----------------------------------
	if typeEmail = 0 then 
		on error resume next
		set emailObject = CreateObject("CDONTS.NewMail")
		emailObject.from = sendFrom
		emailObject.to = sendTo
		emailObject.subject = subject
		emailObject.body = body
		emailObject.send
		set emailObject = nothing
	end if
	' ------------------------- Use ASP Email -----------------------------------
	if typeEmail = 1 then
		on error resume next
		set emailObject = Server.CreateObject("Persits.MailSender")
		emailObject.Host = smtpAdress
		emailObject.Port = port
		emailObject.from = sendFrom
		emailObject.AddAddress sendTo
		emailObject.Subject = subject
		emailObject.Body = body
		emailObject.send
		set emailObject = nothing
	end if
end sub
'----------------------------------------------------------------------------

function buyForFree(productID, quantity)
	dim storeLocal, sqlString
	dim theValue
	dim quantityBuy, quantityFree

	Set storeLocal = Server.CreateObject("ADODB.Recordset")
	sqlString = "select useBuyFree, quantityBuy, quantityFree from storeProducts where storeID = "&storeID&" and productID = "&productID
	storeLocal.open sqlString, storeConn, 1, 1
	if storeLocal("useBuyFree") = 0 then
		theValue = -1
	else
		quantityBuy = cdbl(storeLocal("quantityBuy"))
		quantityFree = cdbl(storeLocal("quantityFree"))
		if quantity < quantityBuy then
			theValue = -1
		else
			theValue = int(quantity/quantityBuy)*quantityFree
		end if
	end if
	storeLocal.close
	set storeLocal = nothing
	buyForFree = theValue
end function
'----------------------------------------------------------------------------

function getDecimalChar
' return the decimal char according to locales

dim theValue
theValue = cstr(1/2)
getDecimalChar = mid(theValue, 2, 1)

end function
'----------------------------------------------------------------------------
function testQuantity(productCart, quantityCart)

dim storeRS, sqlString
dim resultTest

resultTest = true
set storeRS = Server.CreateObject("ADODB.Recordset")
sqlString = "select isUsed, quantity from storeProductsStocks where storeID = "&storeID&" and productID = "&productCart
storeRS.open sqlString, storeConn, 1, 1
if not storeRS.eof then
	if storeRS("isUsed") then
		if quantityCart > cdbl(storeRS("quantity")) then
			resultTest = false
		end if
	end if
end if
storeRS.close
set storeRS = nothing
testQuantity = resultTest

end function
'----------------------------------------------------------------------------
function replaceNull(theValue)

	if isNull(theValue) then
		replaceNull = ""
	else
		replaceNull = theValue
	end if

end function
'----------------------------------------------------------------------------
function existSubCategories(categoryID)
	dim storeRS, sqlString
	dim okExist
	
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select categoryID from storeCategories where parentCategory = "&categoryID&" and storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		okExist = false
	else
		okExist = true
	end if
	storeRS.close
	set storeRS = nothing
	existSubCategories = okExist

end function
%>
